Bug 187382 - Possible security issue
Summary: Possible security issue
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nethack-vultures   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karen Pease
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On: CVE-2006-1390
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-30 17:17 UTC by Matthew Miller
Modified: 2008-05-07 00:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 00:28:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch "fixing" this (2.33 KB, patch)
2007-03-10 11:20 UTC, Hans de Goede
no flags Details | Diff

Description Matthew Miller 2006-03-30 17:17:52 UTC
+++ This bug was initially created as a clone of Bug #187353 +++

This probably isn't an issue under FE non the less this should be fixed since
even though we use sgid games and don't add users to the games group a user who
manages to get games group rights by exploiting (another?) game could still use
this as an attack vector. Unlikely I know.

See:
http://lwn.net/Alerts/177009/

------

This presumably also affects nethack-vultures.

Comment 1 Hans de Goede 2007-03-10 11:05:52 UTC
(In reply to comment #0)
> This presumably also affects nethack-vultures

Most likely yes.

In the Games SIG, we've come across games likes this before. Fully auditing them
is usually not easily doable. In some cases the games can be modified to open
say a shared highscore file the first thing in main and then drop all additional
rights. Thats not (easily) possible here either.

In this case we create a separate group for the game to run under, minimizing
the effects of rights escalation to almost zero. I'll attach a specfile patch
doing just that shortly.


Comment 2 Hans de Goede 2007-03-10 11:20:57 UTC
Created attachment 149767 [details]
Patch "fixing" this

As promised. Also notice that the specfile could use some cleaning up in
general, not to mention that rpmlint doesn't like it much. May I advise a
re-review. I would be more then willing to review it.

Comment 3 Karen Pease 2007-03-11 04:03:35 UTC
I'll take care of this tonight.  Thanks a lot!

Comment 4 Karen Pease 2007-03-11 05:47:00 UTC
The fix has been sent off to plague on fc5, fc6, and fc7.  fc3 and fc4 don't 
seem to be accepting make plague any more for some reason.  :P

Comment 5 Bug Zapper 2008-04-03 17:11:23 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 00:28:05 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.